> Calendly developer docs. For page Markdown, append .md to any URL.
> Index: https://developer.calendly.com/llms.txt
> API catalog: https://developer.calendly.com/.well-known/api-catalog
> OpenAPI: https://developer.calendly.com/openapi/calendly-api.yaml
> OAuth authorization server: https://calendly.com/.well-known/oauth-authorization-server
> MCP protected resource: https://mcp.calendly.com/.well-known/oauth-protected-resource
> Scheduling MCP endpoint: https://mcp.calendly.com
> Docs search MCP: https://developer.calendly.com/_mcp/server

# Get Webhook Subscription

GET https://api.calendly.com/webhook_subscriptions/{webhook_uuid}

Get a specified Webhook Subscription.

> `webhooks:read`

Reference: https://developer.calendly.com/api-docs/calendly-api/webhooks/get-webhook-subscription

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0
- `Authorization` header (bearer token, required) — Personal Access Token

## Request

### Path parameters

- `webhook_uuid` (string, required)

## Response

### 200

OK

- `resource` (WebhookSubscription, required) — Webhook Subscription Object

## Errors

### 401 Unauthorized Error

Cannot authenticate caller

- `title` (enum, required)
  - Allowed values: `Resource Not Found`
- `message` (enum, required)
  - Allowed values: `The server could not find the requested resource.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 403 Forbidden Error

Permission denied or insufficient scope

- `Get-webhook-subscriptionRequestForbiddenError`

### 404 Not Found Error

Requested resource not found

- `title` (enum, required)
  - Allowed values: `Resource Not Found`
- `message` (enum, required)
  - Allowed values: `The server could not find the requested resource.`
- `details` (list of ErrorResponseDetailsItem, optional)

## Types

### WebhookSubscription

Webhook Subscription Object

- `uri` (string, required) — Canonical reference (unique identifier) for the webhook
- `callback_url` (string, required) — The callback URL to use when the event is triggered
- `created_at` (string, required) — The moment when the webhook subscription was created (e.g. "2020-01-02T03:04:05.678123Z")
- `updated_at` (string, required) — The moment when the webhook subscription was last updated (e.g. "2020-01-02T03:04:05.678123Z")
- `retry_started_at` (string, required, nullable) — The date and time the webhook subscription is retried
- `state` (enum, required) — Indicates if the webhook subscription is "active" or "disabled"
  - Allowed values: `active`, `disabled`
- `events` (list of enum, required) — A list of events to which the webhook is subscribed
  - Allowed values: `invitee.created`, `invitee.canceled`, `invitee_no_show.created`, `invitee_no_show.deleted`, `meeting_recap.created`, `meeting_recap.updated`, `meeting_recap.deleted`, `routing_form_submission.created`, `contact.created`, `contact.updated`, `contact.deleted`
- `scope` (enum, required) — The scope of the webhook subscription
  - Allowed values: `user`, `organization`, `group`
- `organization` (string, required) — The URI of the organization that's associated with the webhook subscription
- `user` (string, required, nullable) — The URI of the user that's associated with the webhook subscription
- `group` (string, required, nullable)
- `creator` (string, required, nullable) — The URI of the user who created the webhook subscription

### ErrorResponseDetailsItem

- `message` (string, required)
- `parameter` (string, optional)
- `code` (string, optional)

### GetWebhookSubscriptionRequestForbiddenError0

Error Object

- `title` (enum, required)
  - Allowed values: `Permission Denied`
- `message` (enum, required)
  - Allowed values: `You do not have permission to access this resource.`, `You do not have permission`
- `details` (list of ErrorResponseDetailsItem, optional)

### InsufficientScopeError

Caller does not have required oauth scopes

- `title` (enum, required)
  - Allowed values: `Insufficient scope`
- `message` (enum, required)
  - Allowed values: `This operation requires the scopes listed in the 'required_scopes' array.`
- `required_scopes` (list of string, required)

## Examples

**Response**

```json
{
  "resource": {
    "uri": "https://api.calendly.com/webhook_subscriptions/AAAAAAAAAAAAAAAA",
    "callback_url": "https://blah.foo/bar",
    "created_at": "2019-08-24T14:15:22.123456Z",
    "updated_at": "2019-08-24T14:15:22.123456Z",
    "retry_started_at": "2019-08-24T14:15:22.123456Z",
    "state": "active",
    "events": [
      "invitee.created"
    ],
    "scope": "user",
    "organization": "https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA",
    "user": "https://api.calendly.com/users/AAAAAAAAAAAAAAAA",
    "group": "https://api.calendly.com/groups/AAAAAAAAAAAAAAAA",
    "creator": "https://api.calendly.com/users/AAAAAAAAAAAAAAAA"
  }
}
```

**SDK Code**

```python Webhook Subscription
import requests

url = "https://api.calendly.com/webhook_subscriptions/AAAAAAAAAAAAAAAA"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Webhook Subscription
const url = 'https://api.calendly.com/webhook_subscriptions/AAAAAAAAAAAAAAAA';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Webhook Subscription
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.calendly.com/webhook_subscriptions/AAAAAAAAAAAAAAAA"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Webhook Subscription
require 'uri'
require 'net/http'

url = URI("https://api.calendly.com/webhook_subscriptions/AAAAAAAAAAAAAAAA")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Webhook Subscription
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.calendly.com/webhook_subscriptions/AAAAAAAAAAAAAAAA")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Webhook Subscription
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.calendly.com/webhook_subscriptions/AAAAAAAAAAAAAAAA', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Webhook Subscription
using RestSharp;

var client = new RestClient("https://api.calendly.com/webhook_subscriptions/AAAAAAAAAAAAAAAA");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Webhook Subscription
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.calendly.com/webhook_subscriptions/AAAAAAAAAAAAAAAA")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```